ClientAppointment object. item_id (the client) and date are required; date must be earlier than end_date when both are sent. body is limited to 1500 characters. status, partner_type and partner_id are set automatically. To create a recurring appointment, set recurring to 1 and include a RecurringAppointment object. Requires a permission to add clients' notes & appointments. Returns 202 with the new appointment's id.curl --location --globoff 'https://.daftra.com/api2/client_appointments' \
--header 'Accept: application/json' \
--header 'apikey: ' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{"ClientAppointment": {"item_id": 512, "date": "2026-07-01 10:00:00", "end_date": "2026-07-01 10:30:00", "body": "Follow-up call", "staff_id": [12]}}'{
"code": 202,
"result": "successful",
"id": "2415"
}